<?php  
// TESTIMONIALS SECTION START HERE 

$wp_customize->add_section(
    'testimonials_area',
    array(
        'title'         => __( 'Testimonials Section', 'Luzuk Premium' ),
        'panel'   => 'luzuk_premium_home_panel',
    )
);
    //ENABLE/DISABLE TESTIMONIALS SECTION
$wp_customize->add_setting(
    'testimonials_area_disable',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default' => 'off'
    )
);
$wp_customize->add_control(
    new luzuk_Switch_Control(
        $wp_customize,
        'testimonials_area_disable',
        array(
            'settings'      => 'testimonials_area_disable',
            'section'       => 'testimonials_area',
            'label'         => __( 'Disable Section', 'Luzuk Premium' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'Luzuk Premium' ),
                'off' => __( 'No', 'Luzuk Premium' )
            )   
        ) 
    )
);
 
backgroundManager($wp_customize, 'testimonials', 'testimonials_area', $color='#fff', get_template_directory_uri().'/images/Testimonialbg.jpg', 'color');


lzCustomLable($wp_customize, 'testimonials_Overlay', 'testimonials_area', 'Set Overlay:');

$wp_customize->add_setting(
    'testimonials_areaOpacity',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0.7', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'testimonials_areaOpacity',
    array(
        'settings'      => 'testimonials_areaOpacity',
        'section'       => 'testimonials_area',
        'type'          => 'text',
        'label'         => __( 'Opacity', 'luzuk-premium' )
    )
);
addColorPalatOption($wp_customize, 'testimonials_oalyClr', 'testimonials_area', 'Section Overlay Color', '#000');


lzCustomLable($wp_customize, 'luzuk_sec_testsectionpadding', 'testimonials_area', 'Section Padding :');

$wp_customize->add_setting(
    'sec_testimonialsecTpadding', 
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '5em', 'Luzuk Premium' )
    )
);
$wp_customize->add_control(
    'sec_testimonialsecTpadding',
    array(
        'settings'      => 'sec_testimonialsecTpadding',
        'section'       => 'testimonials_area',
        'type'          => 'text',
        'label'         => __( 'Section Top Padding', 'Luzuk Premium' )
    )
);
$wp_customize->add_setting(
    'sec_testimonialsecBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '5em', 'Luzuk Premium' )
    )
);
$wp_customize->add_control(
    'sec_testimonialsecBpadding',
    array(
        'settings'      => 'sec_testimonialsecBpadding',
        'section'       => 'testimonials_area',
        'type'          => 'text',
        'label'         => __( 'Section Bottom Padding', 'Luzuk Premium' )
    )
);

$wp_customize->add_setting(
    'luzuk_testimonials_title_subtitle_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
       'luzuk_testimonials_title_subtitle_heading',
       array(
           'settings'      => 'luzuk_testimonials_title_subtitle_heading',
           'section'       => 'testimonials_area',
           'label'         => __( 'Section Heading & Sub Heading', 'Luzuk Premium' ),
       )
   )
);
$wp_customize->add_setting(
    'testimonial_page_mainsubtitle',
    array(
       'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Testimonial ', 'Luzuk Premium' )
    )
);
$wp_customize->add_control(
    'testimonial_page_mainsubtitle',
    array(
       'settings'      => 'testimonial_page_mainsubtitle',
       'section'       => 'testimonials_area',
       'type'          => 'text',
       'label'         => __( 'Section Sub Heading', 'Luzuk Premium' )
    )
);

// Heading color
addColorPalatOption($wp_customize, 'testimonialsarea_title_color', 'testimonials_area', 'Section Sub Heading Color', '#fff'); 

$wp_customize->add_setting(
    'testimonial_page_maintitle',
    array(
       'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'What Our Clients Say', 'Luzuk Premium' )
    )
);
$wp_customize->add_control(
    'testimonial_page_maintitle',
    array(
       'settings'      => 'testimonial_page_maintitle',
       'section'       => 'testimonials_area',
       'type'          => 'text',
       'label'         => __( 'Section Heading', 'Luzuk Premium' )
    )
);

addColorPalatOption($wp_customize, 'testimonialsarea_headimgclr', 'testimonials_area', 'Section Heading Color', '#fff');

$TesimonialsSingleChoice[] = 'select';
if(!is_array($TesimonialsSingleChoice)){
    $wp_customize->add_setting('testimonials_area_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
    $wp_customize->add_control(
        new luzuk_Info_Text( 
            $wp_customize,
            'testimonials_area_lbl',
            array(
                'settings'      => 'testimonials_area_lbl',
                'section'       => 'testimonials_area',
                'label'         => __( 'Note:', 'Luzuk Premium' ), 
                'description'   => __( '<strong>Changes will not reflect unless you select the Testimonials.</strong> <br/>Please add the Testimonials from "Testimonials menu" and then select Testimonial to show information.', 'Luzuk Premium' ),
            )
        )
    );
}
$wp_customize->add_setting('luzuk_premium_testimonials_area_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Info_Text( 
        $wp_customize,
        'luzuk_premium_testimonials_area_lbl',
        array(
            'settings'      => 'luzuk_premium_testimonials_area_lbl',
            'section'       => 'testimonials_area',
            'label'         => __( 'Note:', 'Luzuk Premium' ), 
            'description'   => __( 'Just place the shortcode "[TESTIMONIALS]" in your page to list the Testimonials in a page ', 'Luzuk Premium' ),
        )
    )
);
//TESTIMONIALS PAGES
for( $i = 1; $i < 7; $i++ ){
    $wp_customize->add_setting(
        'luzuk_testimonials_heading'.$i,
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'luzuk_testimonials_heading'.$i,
            array(
                'settings'      => 'luzuk_testimonials_heading'.$i,
                'section'       => 'testimonials_area',
                'label'         => __( 'Testimonial', 'Luzuk Premium' ).$i,
            )
        )
    );
    $wp_customize->add_setting(
        'testimonials_page'.$i,
        array(
            'sanitize_callback' => 'absint'
        )
    );
    $wp_customize->add_control(
        'testimonials_page'.$i,
        array(
            'settings'      => 'testimonials_page'.$i,
            'section'       => 'testimonials_area',
            'type'=> 'select',
            'label'         => __( 'Select a Client Testimonials', 'Luzuk Premium' ),
            'choices' => $TesimonialsSingleChoice,
        )
    );
}

lzCustomLable($wp_customize, 'luzuk_sec_testsclr', 'testimonials_area', 'Section Color');

addColorPalatOption($wp_customize, 'luzuk_testimonials_boxcolor', 'testimonials_area', 'Section Box Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_testimonials_icncolor', 'testimonials_area', 'Section Testimonial Icon Color', '#191d27');

addColorPalatOption($wp_customize, 'luzuk_testimonials_Namecolor', 'testimonials_area', 'Section Client Name Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_testimonials_Namehvcolor', 'testimonials_area', 'Section Client Name Hover Color', '#f04f55');

addColorPalatOption($wp_customize, 'luzuk_testimonials_Desgcolor', 'testimonials_area', 'Section Client Designation Color', '#a0a1a2');

addColorPalatOption($wp_customize, 'luzuk_testimonials_textcolor', 'testimonials_area', 'Section Testimonial Text Color', '#a0a1a2');

lzCustomLable($wp_customize, 'luzuk_sec_testsliderclr', 'testimonials_area', 'Section Slider Button');

addColorPalatOption($wp_customize, 'luzuk_testimonials_slidearrowclr', 'testimonials_area', 'Slider Arrow Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_testimonials_slidearrowbgclr', 'testimonials_area', 'Slider Arrow Background Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_testimonials_slidearrowbghvclr', 'testimonials_area', 'Slider Arrow Background Hover Color', '#f04f55');

?>